Bug 53888 - gbuildified connectivity does not rebuild enough after sqlbison.y modified
Summary: gbuildified connectivity does not rebuild enough after sqlbison.y modified
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.1.1 rc
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 17:09 UTC by Lionel Elie Mamane
Modified: 2012-08-29 19:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2012-08-21 17:09:32 UTC
Reproduction instructions: in a fully built source tree, "touch connectivity/source/parse/sqlbison.y && make connectivity"

Expected result: sqlbison.cxx, sqlbison.hxx and everything that depends on them (including sqlbison.o) is rebuilt.

Actual result: only sqlbison.cxx and sqlbison.hxx are rebuilt and NONE of their reverse dependencies. They are only rebuilt after a *second* call to "make connectivity".


user@host:~/src/libreoffice/workdirs/libreoffice-3.6$ touch connectivity/source/parse/sqlbison.y 
user@host:~/src/libreoffice/workdirs/libreoffice-3.6$ make connectivity
make -r -f /home/user/src/libreoffice/workdirs/libreoffice-3.6/Makefile.top connectivity
make[1]: Entering directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6'
cd connectivity && make -j 4 -rs gb_PARTIALBUILD=T
make[2]: Entering directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity'
[ build YAC ] connectivity/source/parse/sqlbison
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y: warning: 2 nonterminals useless in grammar
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y: warning: 3 rules useless in grammar
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y:274.65-84: warning: nonterminal useless in grammar: row_value_const_list
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y:280.20-33: warning: nonterminal useless in grammar: extract_source
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y:802.25-804.40: warning: rule useless in grammar: row_value_const_list: row_value_constructor_elem
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y:805.17-807.33: warning: rule useless in grammar: row_value_const_list: row_value_const_list ',' row_value_constructor_elem
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y:1805.17-1809.17: warning: rule useless in grammar: extract_source: datetime_value_exp
/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity/source/parse/sqlbison.y: conflicts: 23 shift/reduce, 17 reduce/reduce
[ build CHK ] loaded modules: connectivity
[ build MOD ] connectivity
[ build ALL ] top level modules: connectivity
[ build ALL ] loaded modules: connectivity


make[2]: Leaving directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity'
make[1]: Leaving directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6'
user@host:~/src/libreoffice/workdirs/libreoffice-3.6$ make connectivity
make -r -f /home/user/src/libreoffice/workdirs/libreoffice-3.6/Makefile.top connectivity
make[1]: Entering directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6'
cd connectivity && make -j 4 -rs gb_PARTIALBUILD=T
make[2]: Entering directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity'
[ build PKG ] connectivity_generated
[ build CHK ] loaded modules: connectivity
[ build CXX ] YaccTarget/connectivity/source/parse/sqlbison.cxx
[ build CXX ] LexTarget/connectivity/source/parse/sqlflex.cxx
[ build CXX ] connectivity/source/commontools/predicateinput.cxx
[ build CXX ] connectivity/source/commontools/ParamterSubstitution.cxx
[ build CXX ] connectivity/source/simpledbt/dbtfactory.cxx
[ build CXX ] connectivity/source/simpledbt/parser_s.cxx
[ build CXX ] connectivity/source/parse/internalnode.cxx
[ build CXX ] connectivity/source/parse/sqliterator.cxx
[ build CXX ] connectivity/source/parse/sqlnode.cxx
[ build CXX ] connectivity/source/drivers/odbcbase/OPreparedStatement.cxx
[ build CXX ] connectivity/source/drivers/jdbc/JConnection.cxx
[ build CXX ] connectivity/source/drivers/mozab/MConnection.cxx
[ build CXX ] connectivity/source/drivers/mozab/MPreparedStatement.cxx
[ build CXX ] connectivity/source/drivers/mozab/MResultSet.cxx
[ build CXX ] connectivity/source/drivers/mozab/MStatement.cxx
[ build LNK ] Library/libdbtoolslo.so
[ build CXX ] connectivity/source/drivers/file/FCatalog.cxx
[ build CXX ] connectivity/source/drivers/file/FColumns.cxx
[ build CXX ] connectivity/source/drivers/file/FConnection.cxx
[ build CXX ] connectivity/source/drivers/file/FDatabaseMetaData.cxx
[ build CXX ] connectivity/source/drivers/file/FDriver.cxx
[ build CXX ] connectivity/source/drivers/file/FNoException.cxx
[ build CXX ] connectivity/source/drivers/file/FPreparedStatement.cxx
[ build CXX ] connectivity/source/drivers/file/FResultSet.cxx
[ build CXX ] connectivity/source/drivers/file/FResultSetMetaData.cxx
[ build CXX ] connectivity/source/drivers/file/FStatement.cxx
[ build CXX ] connectivity/source/drivers/file/FTable.cxx
[ build CXX ] connectivity/source/drivers/file/FTables.cxx
[ build CXX ] connectivity/source/drivers/file/fanalyzer.cxx
[ build CXX ] connectivity/source/drivers/file/fcode.cxx
[ build CXX ] connectivity/source/drivers/file/fcomp.cxx
[ build CXX ] connectivity/source/drivers/calc/CResultSet.cxx
[ build CXX ] connectivity/source/drivers/calc/CStatement.cxx
[ build CXX ] connectivity/source/drivers/calc/CPreparedStatement.cxx
[ build CXX ] connectivity/source/drivers/calc/CDatabaseMetaData.cxx
[ build CXX ] connectivity/source/drivers/calc/CCatalog.cxx
[ build CXX ] connectivity/source/drivers/calc/CColumns.cxx
[ build CXX ] connectivity/source/drivers/calc/CTable.cxx
[ build CXX ] connectivity/source/drivers/calc/CTables.cxx
[ build CXX ] connectivity/source/drivers/calc/CConnection.cxx
[ build CXX ] connectivity/source/drivers/calc/CDriver.cxx
[ build CXX ] connectivity/source/drivers/dbase/DCode.cxx
[ build CXX ] connectivity/source/drivers/dbase/DResultSet.cxx
[ build CXX ] connectivity/source/drivers/dbase/DStatement.cxx
[ build CXX ] connectivity/source/drivers/dbase/DPreparedStatement.cxx
[ build CXX ] connectivity/source/drivers/dbase/dindexnode.cxx
[ build CXX ] connectivity/source/drivers/dbase/DIndexIter.cxx
[ build CXX ] connectivity/source/drivers/dbase/DDatabaseMetaData.cxx
[ build CXX ] connectivity/source/drivers/dbase/DCatalog.cxx
[ build CXX ] connectivity/source/drivers/dbase/DColumns.cxx
[ build CXX ] connectivity/source/drivers/dbase/DIndexColumns.cxx
[ build CXX ] connectivity/source/drivers/dbase/DIndex.cxx
[ build CXX ] connectivity/source/drivers/dbase/DIndexes.cxx
[ build CXX ] connectivity/source/drivers/dbase/DTables.cxx
[ build CXX ] connectivity/source/drivers/dbase/DConnection.cxx
[ build CXX ] connectivity/source/drivers/dbase/DDriver.cxx
[ build CXX ] connectivity/source/drivers/dbase/DTable.cxx
[ build CXX ] connectivity/source/drivers/flat/EResultSet.cxx
[ build CXX ] connectivity/source/drivers/flat/EStatement.cxx
[ build CXX ] connectivity/source/drivers/flat/EPreparedStatement.cxx
[ build CXX ] connectivity/source/drivers/flat/ETable.cxx
[ build CXX ] connectivity/source/drivers/flat/EDatabaseMetaData.cxx
[ build CXX ] connectivity/source/drivers/flat/ECatalog.cxx
[ build CXX ] connectivity/source/drivers/flat/EColumns.cxx
[ build CXX ] connectivity/source/drivers/flat/ETables.cxx
[ build CXX ] connectivity/source/drivers/flat/EConnection.cxx
[ build CXX ] connectivity/source/drivers/flat/EDriver.cxx
[ build LNK ] Library/libfilelo.so
[ build LNK ] Library/libdbpool2.so
[ build LNK ] Library/libmysqllo.so
[ build LNK ] Library/libodbcbaselo.so
[ build LNK ] Library/libsdbc2.so
[ build LNK ] Library/libhsqldb.so
[ build LNK ] Library/libjdbclo.so
[ build LNK ] Library/libmozab2lo.so
[ build LNK ] Library/libmozabdrvlo.so
[ build LNK ] Library/libflatlo.so
[ build LNK ] Library/libcalclo.so
[ build LNK ] Library/libdbaselo.so
[ build LNK ] Library/libodbclo.so
[ build MOD ] connectivity
[ build ALL ] top level modules: connectivity
[ build ALL ] loaded modules: connectivity


make[2]: Leaving directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6/connectivity'
make[1]: Leaving directory `/home/user/src/libreoffice/workdirs/libreoffice-3.6'
user@host:~/src/libreoffice/workdirs/libreoffice-3.6$
Comment 1 Not Assigned 2012-08-21 22:38:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd0046bca0691fdca45a030903b7cde3bfee544c

fdo#53888: fix YaccTarget/LexTarget dependencies:
Comment 2 Michael Stahl (CIB) 2012-08-22 09:46:04 UTC
there was just a order-only dependency from the generated files which clearly isn't enough; the LexTarget had the same problem; fixed on master, please vote for the patch on gerrit for 3.6 :)
Comment 3 Not Assigned 2012-08-22 11:03:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01089138cc76f5717244bd04f25a868602aeaab6

fdo#53888: svx: fix dependencies:
Comment 4 Not Assigned 2012-08-22 18:22:47 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f49be70f1859a2734e9516a5036adb2426939e68&g=libreoffice-3-6

fdo#53888: fix YaccTarget/LexTarget dependencies:


It will be available in LibreOffice 3.6.2.
Comment 5 Not Assigned 2012-08-23 13:21:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e0f363d828618e86a0d6c7dac89040bfd37bed1&g=libreoffice-3-6

fdo#53888: svx: fix dependencies:


It will be available in LibreOffice 3.6.2.
Comment 6 Not Assigned 2012-08-23 23:50:50 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33b1750f4ae8a9bc26f29440726c24f551041d94

fdo#53888: svx: do not link against dbtools
Comment 7 Not Assigned 2012-08-29 19:57:03 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fecf5af339506df7003a2e8f1742b1f958b6186b&g=libreoffice-3-6

fdo#53888: svx: do not link against dbtools


It will be available in LibreOffice 3.6.2.